import React, { FC, ReactNode } from 'react';
import { Text, TouchableOpacity } from 'react-native';

import { styling } from './styles';
import { ButtonVariants } from '../../types/components';

type Props = {
  children?: ReactNode;
  variant?: ButtonVariants;
  onPress?: () => void;
};

const Button: FC<Props> = ({ children, variant, onPress }) => {
  const styles = styling(variant ?? ButtonVariants.FILL);

  return (
    <TouchableOpacity style={styles.touchableOpacity} onPress={onPress}>
      <Text style={styles.text}>{children}</Text>
    </TouchableOpacity>
  );
};

export default Button;
