import { StyleSheet } from 'react-native';
import { Colors } from '../../theme';
import { ButtonVariants } from '../../types/components';

export const styling = (variant: ButtonVariants) => {
  return StyleSheet.create({
    touchableOpacity: {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      borderRadius: 8,
      backgroundColor: variant,
      gap: 10,
      padding: 12,
      borderStyle: variant === ButtonVariants.OPACITY ? 'solid' : undefined,
      borderWidth: variant === ButtonVariants.OPACITY ? 1 : undefined,
      borderColor: variant === ButtonVariants.OPACITY ? 'rgba(255, 255, 255, 0.4)' : undefined
    },
    text: {
      fontSize: 16,
      color: Colors.WHITE,
      fontFamily: 'redhat-700'
    }
  });
};
